Method: users.updateProfile

Updates the user's profile details.

HTTP request

PATCH https://health.googleapis.com/v4/{profile.name=users/*/profile}

The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog

Path parameters

Parameters
profile.name

string

Identifier. The resource name of this Profile resource.

Format: users/{user}/profile Example: users/1234567890/profile or users/me/profile The {user} ID is a system-generated Google Health API user ID, a string of 1-63 characters consisting of lowercase and uppercase letters, numbers, and hyphens. The literal me can also be used to refer to the authenticated user. It takes the form users/{user}/profile.

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to be updated.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of Profile.

Response body

If successful, the response body contains an instance of Profile.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/googlehealth.profile

For more information, see the OAuth 2.0 Overview.